package com.ruoyi.project.ticket.mapper;

import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.ticket.domain.TDelayPermit;

import java.util.List;

/**
 * 延期票主体对象Mapper接口
 *
 * @author ruoyi
 * @date 2021-12-23
 */
public interface TDelayPermitMapper {
    /**
     * 查询延期票主体对象
     *
     * @param id 延期票主体对象ID
     * @return 延期票主体对象
     */
    public TDelayPermit selectTDelayPermitById(Long id);

    public Long selectVid();

    public List<TDelayPermit> selectDelayCount(TDelayPermit tDelayPermit);

    /**
     * 查询延期票主体对象列表
     *
     * @param tDelayPermit 延期票主体对象
     * @return 延期票主体对象集合
     */
    @DataScope(deptAlias = "d")
    public List<TDelayPermit> selectTDelayPermitList(TDelayPermit tDelayPermit);

    /**
     * 新增延期票主体对象
     *
     * @param tDelayPermit 延期票主体对象
     * @return 结果
     */
    public int insertTDelayPermit(TDelayPermit tDelayPermit);

    /**
     * 修改延期票主体对象
     *
     * @param tDelayPermit 延期票主体对象
     * @return 结果
     */
    public int updateTDelayPermit(TDelayPermit tDelayPermit);

    /**
     * 删除延期票主体对象
     *
     * @param id 延期票主体对象ID
     * @return 结果
     */
    public int deleteTDelayPermitById(Long id);

    /**
     * 批量删除延期票主体对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTDelayPermitByIds(Long[] ids);
}
